# Interface NextNetworkConfig

#### Hierarchy

- NextNetworkConfig

- Defined in src/nextNetwork.ts:10

#####
Index

### Properties

enablePingTest?
fetchAdapter?
fetchAdapterConfig?
isIgnorePingTestHttpErrors?
taskQueue?
taskQueueConfig?

## Properties

### `Optional` enablePingTest

enablePingTest?: boolean

- Defined in src/nextNetwork.ts:18

### `Optional` fetchAdapter

fetchAdapter?: FetchAdapter

- Defined in src/nextNetwork.ts:14

### `Optional` fetchAdapterConfig

fetchAdapterConfig?: FetchAdapterConfig

- Defined in src/nextNetwork.ts:15

### `Optional` isIgnorePingTestHttpErrors

isIgnorePingTestHttpErrors?: boolean

- Defined in src/nextNetwork.ts:19

### `Optional` taskQueue

taskQueue?: TaskQueue

- Defined in src/nextNetwork.ts:11

### `Optional` taskQueueConfig

taskQueueConfig?: TaskQueueConfig

- Defined in src/nextNetwork.ts:12

Generated using TypeDoc